%global remove_lf() for i in %*; do tr -d '\\r' < $i > $i. && touch $i $i. && mv -f $i. $i; done

Name:           perl-Encode-IMAPUTF7
Version:        1.05
Release:        14%{?dist}
Summary:        Process the special UTF-7 variant required by IMAP
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Encode-IMAPUTF7
Source0:        https://cpan.metacpan.org/authors/id/P/PM/PMAKHOLM/Encode-IMAPUTF7-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(base) perl(Encode) perl(Encode::Encoding)
BuildRequires:  perl(ExtUtils::MakeMaker) perl(File::Basename) perl(File::Spec)
BuildRequires:  perl(MIME::Base64) perl(strict) perl(Test::More)
BuildRequires:  perl(Test::NoWarnings) perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is able to encode and decode IMAP mailbox names using the UTF-7
modification specified in RFC2060 section 5.1.3.

%prep
%autosetup -n Encode-IMAPUTF7-%{version}
%remove_lf README Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%buildroot
%_fixperms %buildroot/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%_mandir/man3/*

%changelog
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.05-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.05-13
- Perl 5.32 rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.05-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.05-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 1.05-10
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.05-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.05-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1.05-7
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.05-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.05-4
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 09 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.05-2
- Add more build dependencies.
- Use DESTDIR instead of cpanspec-provided PERL_INSTALL_ROOT.
- Build with NO_PACKLIST=1 and don't bother deleting .packlist files.

* Wed Nov 02 2016 Jason Tibbitts <tibbs@math.uh.edu> 1.05-1
- Specfile autogenerated by cpanspec 1.78.
- Cleaned up the generated spec to meet current guidelines.
